comedi_mark_buffer_read
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_mark_buffer_read — streaming buffer control

## Synopsis

    #include <comedilib.h>

`int comedi_mark_buffer_read(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int num_bytes`)`;

## Description

The function `comedi_mark_buffer_read` is used on a subdevice that has a Comedi input command in progress. It should only be used if you are using a `mmap` mapping to read data from Comedi's buffer (as opposed to calling `read` on the device file descriptor), since Comedi will automatically keep track of how many bytes have been transferred via `read` calls. This function is used to indicate that the next `num_bytes` bytes in the buffer are no longer needed and may be discarded.

## Return value

On success, `comedi_mark_buffer_read` returns the number of bytes successfully marked as read. The return value may be less than the `num_bytes`. On failure, `-1` is returned.

Prev | Up | Next
comedi_get_write_subdevice | Home | comedi_mark_buffer_written